Summary:	Simple DirectMedia Layer - Sample Mixer Library
Name:		SDL_mixer
Version:	1.2.7
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.libsdl.org/projects/SDL_mixer/release/%{name}-%{version}.tar.gz
Patch0:		%{name}.diff
BuildRequires:	esound-devel audiofile-devel SDL-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%define		_prefix		/usr

%description
Due to popular demand, here is a simple multi-channel audio mixer. It
supports 4 channels of 16 bit stereo audio, plus a single channel of
music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.

%package 	devel
Summary:	Header files and more to develop SDL_mixer applications
Group:		Development

%description 	devel
Header files and more to develop SDL_mixer applications.

%prep
%setup -q 
%patch -p0

%build
configure \
    --build=i386-pc-linux \
    --host=i386-pc-linux \
    --prefix=/usr \
    --disable-nls --without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la

%files devel
%defattr(644,root,root,755)
%{_includedir}/SDL/*
%{_libdir}/lib*.a
